C SMALL CHARGED SPHERE:  Lorentz Force
  Delta tau, retarded time interval

  Schoonschip 90 version:  This version reproduces the results of the
  older version with Schoonschip 89.

  File:    dtau
  Input:   none, this is first
  Output:  tau1.o, tau2.o, tau3.o, in the file tau.z

  Starting date:  November 7, 1987
  Last revision:  October 24, 1990

  The retarded proper time interval (a negative quantity) is computed
  as a function of the proper position, using the light-cone interval
  R dot R.

  The proper position is alpha = eps*n, where n is a unit 3-vector.

  I'm convinced, after a thorough check on 2 Dec 89, that this calculation
  works properly and is correct.  It would be nice to put in an automatic
  solver for the coefficients of eps in dtau.

C P lists

A dtau=5,eps=5      ! dtau=5,eps=5 to keep leading nonsingular term, 3
                    ! orders in RdotR, namely, 2,3,4

A c,tau1,tau2,tau3
A norm
I mu,nu,Nab
V y,u,a,j,n
F D1y,D2y,D3y,D1u,D2u,D1a
F R
B eps
Common RdotR,tau1.o,tau2.o,tau3.o
*fix

Z RdotR = R(mu)*R(mu)

Id, R(mu~) = - D1y(mu,n)*eps - D2y(mu,n,n)*eps^2/2

                - D3y(mu,n,n,n)*eps^3/6

             - u(mu)*dtau - D1u(mu,n)*eps*dtau

                - D2u(mu,n,n)*eps^2*dtau/2

             - a(mu)*dtau^2/2 - D1a(mu,n)*eps*dtau^2/2

             - j(mu)*dtau^3/6


Id, D1y(mu,n)*D1y(mu,n) = - norm*norm + D1y(u,n)*D1y(u,n)/c^2

*yep

C Z RdotR = RdotR

Id, uDu = c^2
Id, uDa = 0
Id, uDj = -aDa

Id, D1u(u,l~) = 0
Id, D1a(u,l~) = -D1u(a,l)
Id, D2u(u,l~,m~) = -D1u(nu,l)*D1u(nu,m)

Id, dtau = tau1*eps + tau2*eps^2 + tau3*eps^3

Id, tau1 = - norm/c - D1y(u,n)/c^2      ! Solution for tau1 verified by
                                        ! killing the coefficient of
                                        ! eps^2.

Id, Commu, D1y,D2y,D3y,D1u,D2u,D1a   ! This Id,Commu doesn't need
                                     ! isolation because there has been
                                     ! no Sum mu,nu yet.
*next

Z RdotR = RdotR
Names RdotR
Sum mu,nu

Z tau1.o = - norm/c - D1y(u,n)/c^2

*next

Z tau2.o(Naa) = RdotR*norm^-1*eps^-3*c^-1/2 + tau2
Id, eps = 0

*next

Z RdotR = RdotR
Id, Once, tau2 = tau2.o(Nab)

*yep

Id, Once, tau2 = tau2.o(Nac)
Sum Naa,Nab,Nac

*yep

Id, Commu, D1y,D2y,D3y,D1u,D2u,D1a

*next

Z tau3.o = RdotR*eps^-4*c^-1*norm^-1/2 + tau3

*next

Delete RdotR
Write dtau.z

*end
